#!/usr/bin/env python3

import os
import sys
import json

import requests

if __name__ == '__main__':
    token = os.getenv('SB_ADMIN_KEY')
    filename = sys.argv[1]
    desturl = sys.argv[2]

    days = None
    with open(filename, 'r') as f:
        days = json.load(f)

    h = {
        'Authorization': 'Bearer %s' % token,
    }

    for d, arts in days.items():
        print('==== Uploading', d, '...')
        for a in arts:
            print('uploading', a['u'])

            body = {
                'date': d,
                'desc': a
            }

            r = requests.post(desturl, headers=h, data=json.dumps(body))
            r.raise_for_status()
